# ``twisted`.`words`.`im`.`interfaces`.`IClient``

interface documentation

`class IClient(Interface): (source)`

View In Hierarchy

Undocumented

Method | `__init__` | No summary
Method | `getGroupConversation` | Undocumented
Method | `getPerson` | Undocumented
Method | `joinGroup` |
Method | `leaveGroup` |
Attribute | `account` | The `IAccount` I am a Client for

def __init__(account, chatui, logonDeferred): (source)

Parameters
account:`IAccount` | Undocumented
chatui:`IChatUI` | Undocumented
logonDeferred:`Deferred` | Will be called back once I am logged on.

def getGroupConversation(name, hide=0): (source)

Undocumented

def getPerson(name): (source)

Undocumented

def joinGroup(groupName): (source)

Parameters
groupName:string | The name of the group to join.

def leaveGroup(groupName): (source)

Parameters
groupName:string | The name of the group to leave.

account = (source)
The `IAccount` I am a Client for